Loading...
Searching...
No Matches
Opm::data::ConnectionFracturing::Statistics Struct Reference

Statistics collection for a single quantity. More...

`#include <Wells.hpp>`

## Public Member Functions

template<class Serializer>
void | serializeOp (Serializer &serializer)
| Convert between byte array and object representation.
bool | operator== (const Statistics &that) const
| Equality predicate.
template<class MessageBufferType>
void | write (MessageBufferType &buffer) const
| MPI communication protocol–serialisation operation.
template<class MessageBufferType>
void | read (MessageBufferType &buffer)
| MPI communication protocol–deserialisation operation.

## Static Public Member Functions

static Statistics | serializationTestObject ()
| Create a serialization test object.

## Public Attributes

double | avg {}
| Arithmetic average.
double | max {}
| Maximum value.
double | min {}
| Minimum value.
double | stdev {}
| Unbiased sample standard deviation.

## Detailed Description

Statistics collection for a single quantity.

## Member Function Documentation

## operator==()

bool Opm::data::ConnectionFracturing::Statistics::operator== | ( | const Statistics & | that | ) | const

inline

Equality predicate.

Parameters

  [in] | that | Object against which will be tested for equality.

Returns
  Whether or not
  is the same as `that`.

## serializeOp()

template<class Serializer>

void Opm::data::ConnectionFracturing::Statistics::serializeOp | ( | Serializer & | serializer | ) |

inline

Convert between byte array and object representation.

Template Parameters

  Serializer | Byte array conversion protocol.

Parameters

  [in,out] | serializer | Byte array conversion object.

## Member Data Documentation

## stdev

double Opm::data::ConnectionFracturing::Statistics::stdev {}

Unbiased sample standard deviation.

Usable only if sample size is at least two.

The documentation for this struct was generated from the following file:

- opm/output/data/Wells.hpp